/*
 * wnix, a Unix-like operating system for WebAssembly applications.
 * Copyright (C) 2025  Xavier Del Campo Romero
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef _STRING_H
#define _STRING_H

#include <stddef.h>

int memcmp(const void *__s1, const void *__s2, size_t __n);
void *memcpy(void *__dst, const void *__src, size_t __n);
void *memset(void *__dst, int __c, size_t __n);
int strcasecmp(const char *__a, const char *__b);
char *strchr(const char *__s, int __n);
int strcmp(const char *__a, const char *__b);
char *strdup(const char *__s);
char *strerror(int __errnum);
int strncmp(const char *__a, const char *__b, size_t __n);
char *strndup(const char *__s, size_t __n);
char *strpbrk(const char *const __s, const char *__accept);
size_t strlen(const char *__s);
char *strrchr(const char *__s, int __c);
size_t strspn(const char *__s, const char *__accept);
size_t strcspn(const char *__s, const char * __reject);

#endif
